net.sf.jasperreports.data.jdbc

## Class JdbcDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter
    - - net.sf.jasperreports.data.jdbc.JdbcDataAdapterImpl

- All Implemented Interfaces:
    ClasspathAwareDataAdapter, DataAdapter, JdbcDataAdapter
  Direct Known Subclasses:
    MondrianDataAdapterImpl

      public class JdbcDataAdapterImpl
      extends AbstractClasspathAwareDataAdapter
      implements JdbcDataAdapter

  Version:
    $Id: JdbcDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatabase()`
    `java.lang.String` | `getDriver()`
    `java.lang.String` | `getPassword()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `java.lang.String` | `getServerAddress()`
    `java.lang.String` | `getUrl()`
    `java.lang.String` | `getUsername()`
    `boolean` | `isSavePassword()`
    `void` | `setDatabase(java.lang.String database)`
    `void` | `setDriver(java.lang.String driver)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)`
    `void` | `setSavePassword(boolean savePassword)`
    `void` | `setServerAddress(java.lang.String serverAddress)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setUsername(java.lang.String username)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.ClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### JdbcDataAdapterImpl

          public JdbcDataAdapterImpl()

  - ### Method Detail

    - #### getDatabase

          public java.lang.String getDatabase()

      Specified by:
        `getDatabase` in interface `JdbcDataAdapter`

    - #### setDatabase

          public void setDatabase(java.lang.String database)

      Specified by:
        `setDatabase` in interface `JdbcDataAdapter`

    - #### getDriver

          public java.lang.String getDriver()

      Specified by:
        `getDriver` in interface `JdbcDataAdapter`

    - #### setDriver

          public void setDriver(java.lang.String driver)

      Specified by:
        `setDriver` in interface `JdbcDataAdapter`

    - #### getPassword

          public java.lang.String getPassword()

      Specified by:
        `getPassword` in interface `JdbcDataAdapter`

    - #### setPassword

          public void setPassword(java.lang.String password)

      Specified by:
        `setPassword` in interface `JdbcDataAdapter`

    - #### isSavePassword

          public boolean isSavePassword()

      Specified by:
        `isSavePassword` in interface `JdbcDataAdapter`

    - #### setSavePassword

          public void setSavePassword(boolean savePassword)

      Specified by:
        `setSavePassword` in interface `JdbcDataAdapter`

    - #### getUrl

          public java.lang.String getUrl()

      Specified by:
        `getUrl` in interface `JdbcDataAdapter`

    - #### setUrl

          public void setUrl(java.lang.String url)

      Specified by:
        `setUrl` in interface `JdbcDataAdapter`

    - #### getUsername

          public java.lang.String getUsername()

      Specified by:
        `getUsername` in interface `JdbcDataAdapter`

    - #### setUsername

          public void setUsername(java.lang.String username)

      Specified by:
        `setUsername` in interface `JdbcDataAdapter`

    - #### getServerAddress

          public java.lang.String getServerAddress()

      Specified by:
        `getServerAddress` in interface `JdbcDataAdapter`

    - #### setServerAddress

          public void setServerAddress(java.lang.String serverAddress)

      Specified by:
        `setServerAddress` in interface `JdbcDataAdapter`

    - #### setProperties

          public void setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

      Specified by:
        `setProperties` in interface `JdbcDataAdapter`

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

      Specified by:
        `getProperties` in interface `JdbcDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com